# Uses of Record Class
com.usatiuk.dhfsfs.objects.File

Packages that use File
Package
Description
com.usatiuk.dhfsfs.objects

## Uses of File in com.usatiuk.dhfsfs.objects

Methods in com.usatiuk.dhfsfs.objects that return File
Modifier and Type
Method
Description
`File`
FileDto.`file()`
Returns the value of the `file` record component.
`File`
FileDtoMapper.`fromDto(FileDto dto)`
`File`
File.`withCTime(long cTime)`
`File`
File.`withCurrentMTime()`
`File`
File.`withMode(long mode)`
`File`
File.`withMTime(long mTime)`
`File`
File.`withSymlink(boolean symlink)`
Methods in com.usatiuk.dhfsfs.objects with parameters of type File
Modifier and Type
Method
Description
`List<org.apache.commons.lang3.tuple.Pair<Long,JObjectKey>>`
FileHelper.`getChunks(File file)`
Get the chunks of a file.
`void`
FileHelper.`replaceChunks(File file, List<org.apache.commons.lang3.tuple.Pair<Long,JObjectKey>> chunks)`
Replace the chunks of a file.
`FileDto`
FileDtoMapper.`toDto(File obj)`
Constructors in com.usatiuk.dhfsfs.objects with parameters of type File
Modifier
Constructor
Description
``
`FileDto(File file, List<org.apache.commons.lang3.tuple.Pair<Long,JObjectKey>> chunks)`
Creates an instance of a `FileDto` record class.